<?php
/**
 * Plugin Name:       Dropp
 * Plugin URI:        https://www.withdropp.com/
 * Description:       Same day delivery made possible with Dropp. Dropp operates hyper local warehouses in the heart of German cities to provide same-day delivery within 3 hours — and scheduled returns. We deploy our own fleet of riders with e-cargo bikes to ensure on-time and environment friendly deliveries.
 * Version:           1.2.0
 * Author:            Dropp GmbH
 * Text Domain:       with-dropp
 * License:           GPL-3.0
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.txt
 * Domain Path:       /woocommerce-with-dropp
 */

namespace Dropp\Woocommerce;

defined( 'ABSPATH' ) || exit;

require_once( plugin_dir_path( __FILE__ ) . '/vendor/autoload.php' );

define( 'WC_DROPP_URL', plugin_dir_url( __FILE__ ) );

/**
 * Initialize Plugin
 */
add_action( 'plugins_loaded', function () {
	Plugin::get_instance();
} );

/**
 * Register activation and deactivation hooks
 */
register_activation_hook( __FILE__, array( '\Dropp\Woocommerce\Plugin', 'activate' ) );
register_deactivation_hook( __FILE__, array( '\Dropp\Woocommerce\Plugin', 'deactivate' ) );
